## free-java-sdk 0.4-2

=== Makefile ===
# Makefile for free-java-sdk package
#
#
DESTDIR=
JH=$(DESTDIR)/usr/lib/fjsdk
# default target
all: build


# clean all the stuff
clean:

# build anything that need to be build
build:

# install the files in filesystem
install:
	# copy needed files to their locations
	for one in bin doc lib; do \
	 cp $$one.ABOUT.txt $(JH)/$$one/ABOUT.txt; \
	done
	cp bin.java-alt-setup.sh $(JH)/bin/java-alt-setup
	chmod +x $(JH)/bin/java-alt-setup
	sh ./mkwrapper.sh $(JH)/bin/java /usr/bin/java-sablevm
	sh ./mkwrapper.sh $(JH)/bin/jar /usr/bin/fastjar
	sh ./mkwrapper.sh $(JH)/bin/javah /usr/bin/javah-cp
	sh ./mkwrapper.sh $(JH)/bin/javap /usr/bin/javap-cp
	sh ./mkwrapper.sh $(JH)/bin/serialver /usr/bin/serialver-cp
	sh ./mkwrapper.sh $(JH)/bin/javadoc /usr/bin/gjdoc
	sh ./mkwrapper.sh $(JH)/bin/gjdoc /usr/bin/gjdoc
	sh ./mkwrapper.sh $(JH)/bin/javac /usr/bin/jikes-sablevm

####################################################################

# we link to jikes-sablevm instead of using own wrapper
#	cp bin.javac.sh $(JH)/bin/javac
#	chmod +x $(JH)/bin/javac

# we don't symlink things anymore
dummy:
	# symlink what needs to be symlinked
	ln -s ../../../bin/java-sablevm $(JH)/bin/java
#	ln -s /usr/bin/jikes $(JH)/bin/javac
	ln -s ../../../bin/fastjar $(JH)/bin/jar
	ln -s ../../../bin/javah-cp $(JH)/bin/javah
	ln -s ../../../bin/javap-cp $(JH)/bin/javap
	ln -s ../../../bin/serialver-cp $(JH)/bin/serialver
	ln -s ../../../bin/gjdoc $(JH)/bin/javadoc
	ln -s ../../../share/sablevm/classes $(JH)/lib/classpath

=== debian/changelog ===
free-java-sdk (0.4-2) unstable; urgency=low

  * Added Recommend: libgnujaxp-java

 -- Grzegorz Prokopski (Debian Developer) <gadek@debian.org>  Sun,  6 Jun 2004 23:16:12 -0400

free-java-sdk (0.4-1) unstable; urgency=low

  * Use jikes-sablevm wrapper as javac instead of own wrapper.
  * There's no gjdoc-native anymore.
  * Improved package description.

 -- Grzegorz Prokopski (Debian Developer) <gadek@debian.org>  Sun,  6 Jun 2004 22:14:38 -0400

free-java-sdk (0.3-1) unstable; urgency=high

  * Urgency high because we want to get back to testing ASAP.
  * Don't depend on gjdoc, but only suggest it. Closes: #227840, #169759.
  * Fixed path to gjdoc. Closes: #199488.
  * Change license to much more permissive.
  * Fix typo. Closes: #188697.
  * There's no gjdoc-native anymore. Close: #169815.

 -- Grzegorz Prokopski (Debian Developer) <gadek@debian.org>  Sat, 10 Apr 2004 21:00:51 -0400

free-java-sdk (0.2-2) unstable; urgency=low

  * Following SableVM java wrapper move to /usr/bin/java-sablevm.

 -- Grzegorz Prokopski (Debian Developer) <gadek@debian.org>  Tue,  1 Apr 2003 11:06:23 +0200

free-java-sdk (0.2-1) unstable; urgency=low

  * Replaced symlinks to utilities with small scripts that add
    /usr/lib/fjsdk/bin to PATH thus all called utilies will now really
    use our java and utilities w/o the need of altering alternatives

 -- Grzegorz Prokopski (Debian Developer) <gadek@debian.org>  Wed, 20 Nov 2002 16:44:57 +0100

free-java-sdk (0.1-2) unstable; urgency=low

  * Added depend alternative for gjdoc OR gjdoc-native. Closes: #169815,
    #169759

 -- Grzegorz Prokopski (Debian Developer) <gadek@debian.org>  Wed, 20 Nov 2002 02:10:15 +0100

free-java-sdk (0.1-1) unstable; urgency=low

  * Initial Release. Closes: #156407
  * Created JAVA_HOME compatible environment in /usr/lib/fjsdk
  * Added jikes-sablevm wrapper as java compatible wrapper.

 -- Grzegorz Prokopski (Debian Developer) <gadek@debian.org>  Mon, 12 Aug 2002 20:44:19 +0200

Local variables:
mode: debian-changelog
End:

## free-java-sdk 1.0-1

=== Makefile ===
# Makefile for free-java-sdk package
#

DESTDIR=
JH=$(DESTDIR)/usr/lib/fjsdk
# default target
all: build

# clean all the stuff
clean:

# build anything that need to be build
build:

# install the files in filesystem
install:
	# copy needed files to their locations
	for one in bin doc lib; do \
	 cp $$one.ABOUT.txt $(JH)/$$one/ABOUT.txt; \
	done
	cp bin.java-alt-setup.sh $(DESTDIR)/usr/bin/java-alt-setup
	chmod +x $(DESTDIR)/usr/bin/java-alt-setup
	-mkdir -p $(JH)/jre/lib
	# create wrappers
	sh ./mkwrapper.sh $(JH)/bin/java /usr/bin/java-sablevm
	sh ./mkwrapper.sh $(JH)/bin/jar /usr/bin/fastjar
	sh ./mkwrapper.sh $(JH)/bin/javah /usr/bin/javah-cp
	sh ./mkwrapper.sh $(JH)/bin/javap /usr/bin/javap-cp
	sh ./mkwrapper.sh $(JH)/bin/serialver /usr/bin/serialver-cp
	sh ./mkwrapper.sh $(JH)/bin/javadoc /usr/bin/gjdoc
	sh ./mkwrapper.sh $(JH)/bin/gjdoc /usr/bin/gjdoc
	sh ./mkwrapper.sh $(JH)/bin/javac /usr/bin/jikes-sablevm
	# create symlinks
	ln -sf ../bin $(JH)/jre/bin
	ln -sf ../../../../share/sablevm-classpath/libclasspath.jar $(JH)/jre/lib/rt.jar
	ln -sf ../../../sablevm/jre/lib/ext $(JH)/jre/lib/ext

=== debian/changelog ===
free-java-sdk (1.0-1) unstable; urgency=medium

  * Added the 'jre' directory (in /usr/lib/fjsdk) and many of the
    elements found in it in non-free JDKs.  This allows Eclipse and
    others to recognize free-java-sdk as a JRE (Java Runtime Environment).
  * Explained in update-java-alt script output that free-java-sdk does
    *not* use alternatives mechanism itself.
  * These changes are important.  Please let it into Sarge.

 -- Grzegorz B. Prokopski <gadek@debian.org>  Sun, 20 Mar 2005 20:10:04 -0500

=== debian/control ===
Source: free-java-sdk
Section: misc
Priority: optional
Maintainer: Grzegorz Prokopski (Debian Developer) <gadek@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: free-java-sdk
Architecture: all
Depends: jikes-sablevm, fastjar, sablevm, classpath-tools
Recommends: libgnujaxp-java
Suggests: gjdoc
Conflicts: sablevm (<= 1.0.9)
Description: Complete Java SDK environment consisting of free Java tools
 The goal of this package is to be a replacement of commercial Java Source
 Development Kits (JDK).  This is accomplished by integrating the best
 free java tools into one development environment.
 .
 This way free-java-sdk provides an easy way to install a
  * coherent,
  * complete,
  * working,
  * robust,
  * free,
  * compatible,
  * integrated
 Java development environment.
 .
 After installation of this package you should be able to set JAVA_HOME
 environment variable to /usr/lib/fjsdk (and preferably add /usr/lib/fjsdk/bin
 at the beginning of your PATH) and use the common java utilities just like
 in a non-free Java SDK.  Packages that can be built and run with help from
 free-java-sdk's Java environment are in general eliglible to be placed in
 the "main" section of Debian distribution.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/free-java-sdk.sgml > free-java-sdk.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/free-java-sdk.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/free-java-sdk

# Build architecture-dependent files here.
binary-arch: build install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
